#pragma once
#include "node.h"

class NodePopupMenu : public Node
{
public:
    std::function<void(Node* target, int index)> on_select;
    void close_popup() noexcept;
    virtual Node* clone_instantiate() const override;
    virtual void init() override;
    virtual kEventResult handle_event(Event* e) override;
    virtual void added(Node* parent) override;
};
